The Wordnet interface was obtained from 
http://sourceforge.net/projects/jwordnet/

Usage:

1) Download the Wordnet dictionary from
http://www.cogsci.princeton.edu/~wn/obtain.shtml This interface has
been tested on Wordnet 2.0.

2) Update mallet/base/util/resources/wn/file_properties.xml to point
to the dictionary: Change the "dictionary_path" value to the path of
your dictionary.

3) import net.didion.jwnl.*;

4) Initialize the dictionary (update to match your path to the
util/wn/ directory) 

  JWNL.initialize(new FileInputStream
("../mallet/src/edu/umass/cs/mallet/base/util/resources/wn/file_properties.xml"));

  net.didion.jwnl.dictionary.Dictionary.getInstance();
	
5) Sample usage if you look at util/wn/Examples.java 

To learn more, you can look at the local joavadocs, or look here:

http://www-nlp.stanford.edu/nlp/javadoc/jwnl-docs/overview-frame.html


- culotta@cs.umass.edu
